import cx from 'classnames';
export var TYPES = {
  FULL: 'full',
  SECTION: 'section'
};
export var OVERLAY_TYPES = {
  ACCENT: 'accent',
  DARK: 'dark',
  LIGHT: 'light',
  PRIMARY: 'primary',
  TRANSPARENT: 'transparent'
};
export var DELAY = 500; // ms

export var BASE_CLASS = 'sui-AtomSpinner';
export var CLASS_FULL = BASE_CLASS + "--fullPage";
export var getParentClassName = function getParentClassName(_ref) {
  var _cx;

  var overlayType = _ref.overlayType,
      type = _ref.type;
  return cx(BASE_CLASS + "--" + overlayType, (_cx = {}, _cx[BASE_CLASS] = type === TYPES.SECTION, _cx[CLASS_FULL] = type === TYPES.FULL, _cx));
};
export var addParentClass = function addParentClass(parentNodeClassList) {
  return function (parentClassName) {
    return parentNodeClassList.add.apply(parentNodeClassList, parentClassName.split(' '));
  };
};
export var removeParentClass = function removeParentClass(parentNodeClassList) {
  return function (parentClassName) {
    return parentNodeClassList.remove.apply(parentNodeClassList, parentClassName.split(' '));
  };
};